# mongoc_ssl_opt_t

## Synopsis

    typedef struct
    {
       const char *pem_file;
       const char *pem_pwd;
       const char *ca_file;
       const char *ca_dir;
       const char *crl_file;
       bool        weak_cert_validation;
       void       *padding [8];
    } mongoc_ssl_opt_t;

## Description

This structure is used to set the SSL options for a mongoc_client_t or mongoc_client_pool_t.

Beginning in version 1.2.0, once a pool or client has any SSL options set, all connections use SSL, even if "ssl=true" is omitted from the MongoDB URI. Before, SSL options were ignored unless "ssl=true" was included in the URI.

## See Also

- mongoc_client_set_ssl_opts

- mongoc_client_pool_set_ssl_opts